import React from 'react'
import { Link } from 'react-router'

// import './css/style.css'
import './css/spectre.css'
import Navigation from './Navigation'

class Main extends React.Component {
  render () {
    const children = React.Children.map(this.props.children, child =>
      React.cloneElement(child, this.props)
    )
    console.log('Found these child elements:', children)
    return (
      <div>
        <Navigation />
        {children}
        <footer className='app-footer'>
          <section>
            <h2>AutoMate footer</h2>
            <p>some text</p>
          </section>
        </footer>
      </div>
    )
  }
}

export default Main
