import mongoose from 'mongoose'
import { collection } from '../basicSchema'

const metaSchema = new mongoose.Schema({
  type: String,
  name: String,
  description: String,
  value: String
})

/** Metas are embedded. */
const projectSchema = new mongoose.Schema({
  ...collection,
  meta: [metaSchema]
})

const Project = mongoose.model('Project', projectSchema)

export default Project
